PINOT-SEARCH(1)

NAME
pinot-search - Query search engines from the command-line

SYNOPSIS
pinot-search [OPTIONS] SEARCHENGINETYPE SEARCHENGINENAME|SEARCHENGINEOPTION QUERYINPUT

DESCRIPTION
ModuleFactory::loadModules: xapian is supported by libxapianbackend.so pinot-search - Query search engines from the command-line

OPTIONS

-d, --datefirst
    sort by date then by relevance

-h, --help
    display this help and exit

-l, --locationonly
    only show the location of each result

-m, --max
    maximum number of results (default 10)

-r, --storedquery
    query input is the name of a stored query

-s, --stemming
    stemming language (in English)

-c, --tocsv
    file to export results in CSV format to

-x, --toxml
    file to export results in XML format to

-v, --version
    output version information and exit

Supported search engine types are: 'opensearch' 'sherlock' 'xapian'

EXAMPLES
pinot-search opensearch /usr/share/pinot/engines/KrustyDescription.xml "clowns"

pinot-search --max 20 sherlock /usr/share/pinot/engines/Bozo.src "clowns"

pinot-search xapian ~/.pinot/index "label:Clowns"

pinot-search --stemming english xapian somehostname:12345 "clowning"

REPORTING BUGS
Report bugs to fabrice.colin@gmail.com

This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>.
There is NO WARRANTY, to the extent permitted by law.